curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/statistics \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"statistics": {
"sharedCoursesCount": 10,
"assignedCoursesCount": 50,
"startUsersCount": 45,
"finishedUsersCount": 30,
"averageResultValue": 85
},
"tests": [
{
"id": 1,
"name": "Final Test",
"questionsCount": 20,
"usersCount": 40,
"attemptsCount": 45,
"successUsersCount": 35,
"averageResultValue": 88
}
],
"progress": {
"0": 2,
"1-10": 1,
"11-20": 3,
"21-30": 9,
"31-40": 0,
"41-50": 4,
"51-60": 3,
"61-70": 5,
"71-80": 7,
"81-90": 4,
"91-99": 3,
"100": 2
},
"tags": [
{
"tagId": 1,
"tag": "Sales Basics",
"resultValue": 85
},
{
"tagId": 2,
"tag": "Advanced Techniques",
"resultValue": 75
}
]
}
Courses
Get Course Statistics
Get detailed statistics for a specific course
GET
/
courses
/
{courseId}
/
statistics
curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/statistics \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"statistics": {
"sharedCoursesCount": 10,
"assignedCoursesCount": 50,
"startUsersCount": 45,
"finishedUsersCount": 30,
"averageResultValue": 85
},
"tests": [
{
"id": 1,
"name": "Final Test",
"questionsCount": 20,
"usersCount": 40,
"attemptsCount": 45,
"successUsersCount": 35,
"averageResultValue": 88
}
],
"progress": {
"0": 2,
"1-10": 1,
"11-20": 3,
"21-30": 9,
"31-40": 0,
"41-50": 4,
"51-60": 3,
"61-70": 5,
"71-80": 7,
"81-90": 4,
"91-99": 3,
"100": 2
},
"tags": [
{
"tagId": 1,
"tag": "Sales Basics",
"resultValue": 85
},
{
"tagId": 2,
"tag": "Advanced Techniques",
"resultValue": 75
}
]
}
Retrieve comprehensive statistics for a specific course, including user progress, completion rates, and test results.
Path Parameters
integer
required
The unique identifier of the course
Request Headers
string
required
API Key. Go to your Konstantly site > Settings > API and copy the value from there.
Response
object
required
General course statistics
array
required
Course test statistics
object
required
Users distribution by progress ranges
Show Progress ranges
Show Progress ranges
integer
Users with 0% progress
integer
Users with 1-10% progress
integer
Users with 11-20% progress
integer
Users with 21-30% progress
integer
Users with 31-40% progress
integer
Users with 41-50% progress
integer
Users with 51-60% progress
integer
Users with 61-70% progress
integer
Users with 71-80% progress
integer
Users with 81-90% progress
integer
Users with 91-99% progress
integer
Users with 100% progress
array
required
Error Responses
object
curl --request GET \
--url https://YOURSITE.konstant.ly/openapi/v1/courses/123/statistics \
--header 'X-API-KEY: 1qaz2wsx3edc4rfv1qaz2wsx3edc4rfv'
{
"statistics": {
"sharedCoursesCount": 10,
"assignedCoursesCount": 50,
"startUsersCount": 45,
"finishedUsersCount": 30,
"averageResultValue": 85
},
"tests": [
{
"id": 1,
"name": "Final Test",
"questionsCount": 20,
"usersCount": 40,
"attemptsCount": 45,
"successUsersCount": 35,
"averageResultValue": 88
}
],
"progress": {
"0": 2,
"1-10": 1,
"11-20": 3,
"21-30": 9,
"31-40": 0,
"41-50": 4,
"51-60": 3,
"61-70": 5,
"71-80": 7,
"81-90": 4,
"91-99": 3,
"100": 2
},
"tags": [
{
"tagId": 1,
"tag": "Sales Basics",
"resultValue": 85
},
{
"tagId": 2,
"tag": "Advanced Techniques",
"resultValue": 75
}
]
}
Was this page helpful?
⌘I